﻿@{
    ViewBag.Title = "Company Objective";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}


<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;

    $(document).ready(function () {
        void function loadParamList() {

            var aryColTableChecked = [];
            for (var idx = 1; idx < 4; idx++) {
                aryColTableChecked.push("field" + idx);
            }

            var aoColumnDef = [];

            $.each(aryColTableChecked, function (i, value) {

                var obj = {
                    "mData": value,
                    "aTargets": [i]
                }
                if (i == 0) {
                    var obj = {
                        "mData": value,
                        "aTargets": [i],
                        "mRender": function (data, type, row) {
                            return '<a class="btn btn-primary btn-xs tblButton" style="width: 30px;" name="btnEdit" aria-label="Edit" data-id="' + data + '" ><i class="glyphicon glyphicon-pencil"></i></a>' +
                                '&nbsp; <a class="btn btn-primary btn-xs tblButton" style="width: 30px;" name = "btnDelete" aria-label="Delete" data-id="' + data + '" ><i class="glyphicon glyphicon-trash"></i></a>';

                        },
                        "bSortable": false
                    }
                }
                aoColumnDef.push(obj);
            });

            if (oTable != null) {
                oTable.fnDestroy();
            }

            oTable = $('#tblData').dataTable({
                "sAjaxSource": "@Url.Action("getCompanyObjectiveList", "CompanyFinData")",
                "bServerSide": false,
                "bProcessing": true,
                "bSort": false,
                "bPaginate": true,
                "bLengthChange": false,
                "bStateSave": false,
                "bDestroy": true,
                "bRetrieve": true,
                "fnServerData": function (sSource, aoData, fnCallback) {
                    $.ajax({
                        "dataType": "json",
                        "type": "POST",
                        "url": sSource,
                        "data": aoData,
                        "success": fnCallback
                    });
                },
                "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
                "fnServerParams": function (aoData) {
                    aoData.push({ "name": "comfinid", "value": '@ViewBag.ComFinId' });
                },
                "aoColumnDefs": aoColumnDef,
                "iDisplayLength": 10,
                "oLanguage": {
                    "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                    "sLengthMenu": '_MENU_'
                },
            });

            oTable.fnSettings().aoColumns[0].sClass = "text-center";
            oTable.fnSettings().aoColumns[1].sClass = "text-center";
            oTable.fnSettings().aoColumns[2].sClass = "text-left";
            

            $('#tblData tbody').on('click', 'a', function () {

                var table = $('#tblData').DataTable();
                var row = table.row($(this).parents('tr')).data();
                var action = $(this).attr('aria-label');
                var rowid = $(this).attr('data-id');

                if (action == 'Edit') {
                    window.location.href = '@Url.Action("EditCompanyObjective", "CompanyFinData")?id=' + rowid + '&comfinid=' + '@ViewBag.ComFinId';
                }

                if (action == 'Delete') {
                    bootbox.confirm({
                        title: "<i class='fa fa-warning fa-2x'></i> Delete Confirmation",
                        message: 'Are you sure you want to delete this data.',
                        className: "medium",
                        buttons: {
                            'cancel': {
                                label: '<i class="fa fa-times"></i> Cancel',
                                className: 'btn-default pull-left'
                            },
                            'confirm': {
                                label: '<i class="fa fa-check"></i> Yes, Continue delete',
                                className: 'btn-primary pull-right'
                            }
                        },
                        callback: function (result) {
                            if (result) {

                                $.ajax({
                                    type: "POST",
                                    url: '@Url.Action("DeleteCompanyObjective", "CompanyFinData")?rowid=' + rowid + '&comfinid=' + '@ViewBag.ComFinId',
                                    dataType: 'json',
                                    contentType: false,
                                    processData: false,
                                    //beforeSend: function () {
                                    //    //$("#loader").show();
                                    //},
                                    success: function (data) {
                                        bootbox.dialog({
                                            message: data.message,
                                            title: data.title,
                                            buttons: {
                                                main: {
                                                    label: "<i class='fa fa-check'></i> Ok",
                                                    className: "btn-primary",
                                                    callback: function () {
                                                        if (result) {
                                                            if (data.status) {
                                                                oTable.fnPageChange('first');
                                                                window.location.href = '@Url.Action("CompanyObjective", "CompanyFinData")?comfinid=' + '@ViewBag.ComFinId';
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        });
                                    }
                                });
                            }

                        }
                    });
                }


            });
        }();
    });


</script>



<div class="col-sm-12">
    <div class="row">
        <div class="col-sm-3">
            <button type="button" class="btn btn-primary" id="btnAddComObj" name="btnAddComObj" onclick="@("window.location.href='" + @Url.Action("AddCompanyObjective", "CompanyFinData") + "?comfinid='")+@ViewBag.ComFinId;">
                <span class="glyphicon glyphicon-plus-sign"></span> Add Company Objective
            </button>
        </div>
    </div>
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Company Objective
        </div>

        <div class="panel-body">
            <div class="panel panel-primary">
                <div class="panel-body">
                    <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                        <thead class="bg-mantle-gradient">
                            <tr>
                                <th style="width: 80px;">Action &nbsp; </th>
                                <th style="width: 50px;">No &nbsp; </th>
                                <th>Company Objective &nbsp; </th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("CompanyFinData", "CompanyFinData") + "?comfinid='")+@ViewBag.ComFinId;">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>